
enum AccountType {
  CHECKING
  SAVINGS
}

type Account @table(name: "accounts") {
  id: UUID! @default(expr: "uuidV4()")
  bank: String!
  type: AccountType!
  last4: String!
  isPrimary: Boolean
  accountNumber: String
  routeNumber: String
  ownerId: UUID! #staff/business
  expiryTime: Timestamp 
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
